Subject: Re: bug#26764: Problem building master

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 03 May 2017 12:45:47 -0700

On May 3, 2017 12:05:04 PM PDT, Efraim Flashner <[email-masked]> wrote:
>On Wed, May 03, 2017 at 11:59:16AM -0700, Maxim Cournoyer wrote:
>> After doing 'guix pull' to get latest master branch, `guix
>environment
>> guix' fails while compiling the new sources:
>> 
>> Backtrace:
>> In ice-9/r4rs.scm:
>>   39: 19 [call-with-values #<procedure 6809cc0 at
>ice-9/eval.scm:416:20 ()> ...]
>> In ice-9/eval.scm:
>>  411: 18 [eval # #]
>>  411: 17 [eval # #]
>> In srfi/srfi-1.scm:
>>  573: 16 [map #<procedure 68128a0 at ice-9/eval.scm:416:20 (a)> (# #
># # ...)]
>> In ice-9/eval.scm:
>>  387: 15 [eval # #]
>>  411: 14 [eval # #]
>> In ice-9/r4rs.scm:
>>   39: 13 [call-with-values #<procedure 6817cc0 at
>ice-9/eval.scm:416:20 ()> ...]
>> In ice-9/eval.scm:
>>  411: 12 [eval # #]
>>  411: 11 [eval # #]
>> In srfi/srfi-1.scm:
>>  575: 10 [map #<procedure 6865750 at ice-9/eval.scm:416:20 (a)> (# #
># # ...)]
>> In ice-9/boot-9.scm:
>>  160: 9 [catch srfi-34 #<procedure 68653f0 at ice-9/eval.scm:416:20
>()> ...]
>> In ice-9/eval.scm:
>>  387: 8 [eval # #]
>>  481: 7 [lp (#<fluid 30> #<fluid 24> #<fluid 25>) (#f "x86_64-linux"
>#f)]
>>  481: 6 [lp (#<fluid 24> #<fluid 25>) ("x86_64-linux" #f)]
>>  481: 5 [lp (#<fluid 25>) (#f)]
>> In ice-9/r4rs.scm:
>>   39: 4 [call-with-values #<procedure 686b6c0 at
>ice-9/eval.scm:416:20 ()> ...]
>> In guix/gexp.scm:
>>  604: 3 [#<procedure 68f7a20 at guix/gexp.scm:604:2 (state)> #]
>>  626: 2 [#<procedure 4ea4370 at guix/gexp.scm:604:2 (builder)>
>>
>"/gnu/store/rzxs5lr5ay9n7s3657sf4y2hc4l9dnzk-bash-4.4.tar.xz-builder"]
>>  989: 1 [imported-modules ((guix build utils)) #:name ...]
>> In unknown file:
>>    ?: 0 [# # #<procedure 6e44d00 at guix/gexp.scm:991:29 (expr)> #]
>> 
>> ERROR: In procedure #<syntax-transformer mapm>:
>> ERROR: Wrong type to apply: #<syntax-transformer mapm>
>> 
>> 
>> I could reproduce the problem on two different machines.
>> 
>> Maxim
>> 
>
>You'll have to 'make clean' before continuing, it happens from time to
>time

I don't have make in my user profile; I always do 'guix environment guix' before trying to build Guix. Any recommendation to break this catch22?

Maxim

Hi!